package com.example.dtf.repositories

import androidx.paging.PagingData
import com.example.dtf.models.Category
import kotlinx.coroutines.flow.Flow

interface ICategoryRepository {
    fun getAll(): Flow<PagingData<Category>>
    fun getAllCached(): Flow<List<Category>>

    fun getFirst(): Flow<Category?>
}